LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XFileDialog Interface Referencepublished

gives access to a file dialog. More...

`import"XFileDialog.idl";`

Inheritance diagram for XFileDialog:

## Public Member Functions
void | setPath ([in] string Path)
| sets the path. More...
string | getPath ()
| returns the path. More...
void | setFilters ([in] sequence< string > rFilterNames, [in] sequence< string > rMasks)
| sets the filters. More...
void | setCurrentFilter ([in] string Filter)
| sets the current filter. More...
string | getCurrentFilter ()
| returns the currently selected filter. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to a file dialog.

Deprecated:

## Member Function Documentation

## ◆ getCurrentFilter()

string getCurrentFilter | ( |  | ) |

returns the currently selected filter.

## ◆ getPath()

string getPath | ( |  | ) |

returns the path.

## ◆ setCurrentFilter()

void setCurrentFilter | ( | [in] string | Filter | ) |

sets the current filter.

## ◆ setFilters()

void setFilters | ( | [in] sequence< string > | rFilterNames,
|  | [in] sequence< string > | rMasks
| ) |  |

sets the filters.

## ◆ setPath()

void setPath | ( | [in] string | Path | ) |

sets the path.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XFileDialog.idl